#include once "fltk-c.bi"
#include once "GL/gl.bi"

'test of:
' Fl_GL_WindowExNew
' Fl_GL_WindowExSetDrawCB
' Fl_GL_WindowSetMode
' Fl_WindowSizeRange

sub DrawCB cdecl (self as any ptr)
  glClearColor rnd,rnd,rnd,1
  glClear GL_COLOR_BUFFER_BIT
  ' ...
end sub

dim as Fl_GL_WindowEx ptr win = Fl_GL_WindowExNew(640,400,"Fl_GL_WindowEx resize me ...")
Fl_GL_WindowExSetDrawCB win, @DrawCB
Fl_GL_WindowSetMode win, FL_MODE_RGB or FL_MODE_DOUBLE

Fl_WindowSizeRange win,160,100
Fl_WindowShow win
Fl_Run
